## org.eclipse.emf.cdo.common.util
Class CDOException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.eclipse.emf.cdo.common.util.CDOException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DanglingReferenceException, InvalidObjectException, InvalidURIException, ObjectNotFoundException, ReadOnlyException, RepositoryNotFoundException, ServerException, SessionCreationException, TransportException

    public class CDOException

extends java.lang.RuntimeException

See Also:
  Serialized Form

Constructor Summary
`CDOException()`
`CDOException(java.lang.String message)`
`CDOException(java.lang.String message, java.lang.Throwable cause)`
`CDOException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CDOException

    public CDOException()

### CDOException

    public CDOException(java.lang.String message)

### CDOException

    public CDOException(java.lang.Throwable cause)

### CDOException

    public CDOException(java.lang.String message,
                        java.lang.Throwable cause)

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.